package com.sundot.airport.exam.dto;

import java.io.Serializable;

/**
 * <b>功能名：</b>UserProfileQueryDTO<br>
 * <b>说明：</b> 用户画像查询参数DTO <br>
 * <b>著作权：</b> Copyright (C) 2025 SUNDOT CORPORATION<br>
 * <b>修改履历：
 *
 * @author Claude
 */
public class UserProfileQueryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID (必填)
     */
    private Long userId;

    /**
     * 开始日期 YYYY-MM-DD (必填)
     */
    private String startDate;

    /**
     * 结束日期 YYYY-MM-DD (必填)
     */
    private String endDate;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    @Override
    public String toString() {
        return "UserProfileQueryDTO{" +
                "userId=" + userId +
                ", startDate='" + startDate + '\'' +
                ", endDate='" + endDate + '\'' +
                '}';
    }
}
